// =====================================================================
//  $Id: DaqEventAction.hh,v 1.1 2006/02/15 07:04:51 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: DaqEventAction.hh,v $
//  Revision 1.1  2006/02/15 07:04:51  goiwai
//  ドキュメント用に最も簡単な例題ソフトウェアDAQプログラムを作りました。
//
// =====================================================================
#ifndef CLDAQ__DAQEVENTACTION_HH
#define CLDAQ__DAQEVENTACTION_HH

#include "TEventAction.hh"

class TEvent;
class TReadoutList;

class DaqEventAction
  : public TEventAction
{

  public:
    DaqEventAction();
    ~DaqEventAction();

  public:
    TReadoutList* WaitTrigger();
    Tvoid AtFirst( TEvent& anEvent );
    Tvoid AtLast( TEvent& anEvent );

};

#endif
